'use strict';
var platform = require('platform');
var ENVIRONMENT_TYPE = 'KiekerBrowserEnvironmentRecord';

// Polyfill for Date.now
Date.now = (Date.now || function () {  // thanks IE8
	return new Date().getTime();
});

var currentTime = function () {
	return Date.now().toString();
};

var environment = function (kieker) {
	kieker.sendEnvironment = function () {
		kieker.sendRecord({
			name: platform.name,
			operatingSystemName: platform.os.family,
			operatingSystemVersion: platform.os.version,
			timestamp: currentTime(),
			type: ENVIRONMENT_TYPE,
			version: platform.version
		});
	};

	return kieker;
};

module.exports = {
	default: environment
};
